```sh
$ sudo docker build -t koel .
$ sudo docker network create koel
$ sudo docker create \
    --name koel-db \
    --env POSTGRES_DB=koel \
    --env POSTGRES_USER=koel \
    --env POSTGRES_PASSWORD=secret \
    --network koel --security-opt=no-new-privileges \
    --cap-drop=all --cap-add=chown --cap-add=setuid --cap-add=setgid --cap-add=fowner \
    postgres:10.5-alpine
$ sudo docker start koel-db
$ sudo docker run --rm --interactive --tty \
    --env DB_CONNECTION=pgsql \
    --env DB_HOST=koel-db \
    --env DB_PORT=5432 \
    --env DB_DATABASE=koel \
    --env DB_PASSWORD=secret \
    --network koel --publish=8080:8080 \
    --security-opt=no-new-privileges --cap-drop=all \
    koel
generated random APP_KEY
+ php artisan koel:init
...
App key exists -- skipping
Generating JWT secret
Migrating database
Let's create the admin account.

 Your name:
 > fabian peter

 Your email address:
 > fabian+koel@hammerle.me

 Your desired password:
 >

 Again, just to make sure:
 >

Seeding initial data
The absolute path to your media directory. If this is skipped (left blank) now, you can set it later via the web interface.

 Media path []:
 >

Compiling front-end stuff
yarn install v1.7.0
[1/4] Resolving packages...
success Already up-to-date.
$ yarn production
yarn run v1.7.0
$ cross-env NODE_ENV=production node_modules/webpack/bin/webpack.js --progress --hide-modules --config=node_modules/laravel-mix/setup/webpack.config.js
...
Done in 21.61s.
Done in 22.87s.

🎆  Success! Koel can now be run from localhost with `php artisan serve`.
You can also scan for media with `php artisan koel:sync`.
Again, for more configuration guidance, refer to
📙  https://koel.phanan.net/docs
or open the .env file in the root installation folder.
Thanks for using Koel. You rock!
+ php artisan serve '--host=0.0.0.0' --port 8080
Laravel development server started: <http://0.0.0.0:8080>
PHP 7.2.10 Development Server started at Sat Sep 15 19:41:27 2018
[Sat Sep 15 19:41:30 2018] 172.18.0.1:35448 [200]: /public/css/app.088d4f5eca71efdd5ffc.css
...
```
